### Function

# PapersDocument Document misc_texture_from_surface

#### Declaration [src]

    GdkTexture*
    pps_document_misc_texture_from_surface (
      cairo_surface_t* surface
    )

#### Description [src]

Convert a cairo_surface_t to `GdkTexture` object.

#### Parameters

`surface`

  Type: `cairo_surface_t`

  A #cairo_surface_t.

  The data is owned by the caller of the function.

#### Return value

Type: `GdkTexture`

The converted `GdkTexture`.

The caller of the function takes ownership of the data, and is responsible for freeing it.